<template>
    <div>
        <o-field>
            <o-datepicker v-model="date" placeholder="Click to select..." icon="calendar" trap-focus range />
        </o-field>
        <div>{{ date }}</div>
    </div>
</template>

<script>
export default {
    name: 'DateRangePicker',

    data() {
        return {
            date: null,
        }
    },

    methods: {
        dateToStrGB(date) {
            console.log(date)
            // if (this.isSelecting) return this.startDate.toLocaleDateString('en-GB')
            //     if (Array.isArray(date) && date.length === 2)
            //       return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            //   } else return (date && date.toLocaleDateString('en-GB')).substring(3) || ''
        },
    },
}
</script>

<style lang="scss" scoped></style>
